@dotokbit
В начале пути

Как исправить ошибку «pyinstaller не является внутренней или внешней командой, исполняемой программой или пакетным файлом»?

Написал свою первую маленькую прогу. Писал на Python 3.9. В проге использованы модули. Пробовал скомпелировать ее с помощью pyinstaller в консоле, но выдает ошибку: "pyinstaller" не является внутренней или внешней
командой, исполняемой программой или пакетным файлом."
Погуглил - пишут, pyinstaller не поддерживает версии выше Python 3.7. Так ли это? И если так, то чем прост скомпелировать код в exe?
  • Вопрос задан
  • 91 просмотр
Решения вопроса 1
@vabka
Токсичный
У вас pyinstaller не в PATH
Ответ написан
Пригласить эксперта
Ответы на вопрос 2
hottabxp
@hottabxp Куратор тега Python
Миллиардер. Честно, 100 пистонов!
скомпилировать
и тем более
скомпелировать
нельзя!

Погуглил - пишут, pyinstaller не поддерживает версии выше Python 3.7. Так ли это?
Нет:
PyInstaller’s main advantages over similar tools are that PyInstaller works with Python 3.5—3.9, it builds smaller executables thanks to transparent compression, it is fully multi-platform, and use the OS support to load the dynamic libraries, thus ensuring full compatibility.
Ответ написан
@dotokbit Автор вопроса
В начале пути
Вопрос закрыт.
Если кто-то сталкивается со схожей проблемой - перед установкой непосредственно pyinstaller нужно вбивать pip install wheel и тогда все будет работать на последних версиях
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы